<%@ page language="C#" autoeventwireup="true" inherits="admin_manage_selectfield, localhost_deploy" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />
<title>搜索页</title>

<script type="text/javascript" src="/common/client.js" charset="utf-8"></script>
<script type="text/javascript" src="/admin/getcontent/default.js" charset="utf-8"></script>
<script type="text/javascript">
function checkRowToggle(s_id)
{
	if($('box_' +s_id).checked)
		GetSelect(s_id,$('ahr'+s_id).innerText);
	else
		ClearSelect(s_id);
} 

function ClearFieldData()
{
	o_con=new Array();
	i_length=0;
	$('spntip').innerText="0";
	$('frmitem').reset();
}

function SelectAll(chkall)
{
	var chkobjs= $('frmitem').getElementsByTagName("INPUT");
	for(i=0;i<chkobjs.length;i++)
	{
		chkobjs[i].checked=chkall.checked;
		var s_con=chkobjs[i].id.split('_');
		var s_id=s_con[1];
		
		if($('box_' +s_id).checked)
			GetSelect(s_id,$('ahr'+s_id).innerText);
		else
			ClearSelect(s_id);
	}
}
</script>
</head>
<body >
<div style="overflow-y:auto;width:350px;height:300px;margin:0 auto;border:#aaaaaa solid 1px;">
<form name="frmitem" id="frmitem" >
<%
string s_in="",s_notin="";
switch(Para("tid"))
{
	case "2": //User_Content (文章内容)
	{
	  s_in="0"+ds.GetDataString("select F_ID from sys_field where f_tid=2 and F_Id not in (6,7,13,14,19,51,183,274,480,21,275,264) order by F_description asc  ",",@F_ID@");
	  
	  s_notin=Para("idlst");
		break;
	}
}
%>
<%=GetFileList(s_in,s_notin)%>
</form>
</div>

<div>
<div style="padding:1px;margin:1px;"></div>
<span style="float:right;">
<input type="checkbox" onclick="SelectAll(this)" id="chkall" /><label for="chkall">全选</label> &nbsp; 
<input type="button" value="清除" class="button" onclick="ClearFieldData()" /> &nbsp; 
<input type="button" value="选择" class="button" onclick="SubmitData()" /> &nbsp; 
<input type="button" value="退出" class="button" onclick="parent.popup_close();" /> 
</span>
当前选择：<span id="spntip">0</span>
</div>
</body>
</html>   

